.item_data_image img{
    max-width: 5rem;
}
.item_data_image {
    margin: auto;
}

.uppermenu {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.uppermenu > div:last-child {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-right: 20px;
}


.input_field input{
    width: 500px;
    height: 30px;
    margin-bottom: 5%;
    border-color: black;
    border-radius: 10px;
}

.callback_btn {
    width: 450px;
    height: 50px;
    background: #3464ff;
    color: rgb(255, 255, 255);
    border-radius: 50px;
    font-size: 26px;
}


.main_menu {
    display: flex;
    list-style: none;
    margin-top: 26rem;
    margin-left: -11rem;
}

.main_menu ul {
    padding: 0;
}

.main_menu li {
    list-style: none;
    text-align: center;
    align-content: center;
    display: flex;
    padding-right: 11px;
}

.main_menu li:hover {
    background-color: #3464ff;
}

.main_menu a {
    color: rgb(0, 0, 0);
    text-decoration: none;
    transition: color 0.3s;
}

.main_menu a:hover {
    color: #ffffff;
}

.hamburger {
    display: flex;
    flex-direction: column;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0.5rem;
}

.hamburger span {
    width: 25px;
    height: 3px;
    background-color: black;
    margin: 4px 0;
    transition: all 0.3s ease;
    display: block;
}

.hamburger.active span:nth-child(1) {
    transform: rotate(-45deg) translate(-16px, 16px);
}

.hamburger.active span:nth-child(3) {
    opacity: 0;
}

.hamburger.active span:nth-child(2) {
    transform: rotate(45deg) translate(8px, 8px);
}

.nav__list {
    display: flex;
    list-style: none;
    gap: 2rem;
}

.main_menu {
    display: none;
    position: absolute;
    background-color: #ffffff;
    flex-direction: column;
    min-width: 250px;
    transition: all 0.3s ease;
    overflow-y: auto;
    border-radius: 0 0 10px 10px;
    border: 1px solid lightgray;
    border-top: none;
    box-shadow: 0 10px 30px rgba(0,0,0,0.1);
    z-index: 100;
    padding: 10px 0;
}

.main_menu.active {
    display: flex;
}

.nav__list {
    flex-direction: column;
    gap: 0;
}

.hamburger_menu {
    margin: 0;
    display: flex;
    align-items: center;
    text-align: center;
}
.menu_title {
    display: flex;
    align-items: center;
    font-size: 27px;
    position: static;
    margin-left: 52rem;
}
